VPS侦探论坛

 找回密码
 注册
搜索
查看: 675|回复: 5

LNMPA需要安装多个php版本怎么办

[复制链接]
发表于 2018-7-23 10:35:24 | 显示全部楼层 |阅读模式



我知道现在的一键安装包内不支持lnmpa模式下php多版本,但是项目组长要求要有php5.4和php7.2,我现在安装的是php7.2,请问应该如何安装两个版本呢?
美国VPS推荐: 遨游主机LinodeLOCVPSKVMLAVPS2EZ搬瓦工80VPSVultr美国VPS主机中国VPS推荐: 阿里云腾讯云。LNMP付费服务(代装/问题排查)QQ 503228080
发表于 2018-7-23 11:28:12 | 显示全部楼层



lnmpa模式不支持多php版本

美国VPS、VPN、域名代购:http://shop63846532.taobao.com/

 楼主| 发表于 2018-7-23 13:44:39 | 显示全部楼层

回复 2# 的帖子



自己单独安装另外一个php版本也不可以吗?
美国VPS推荐: 遨游主机LinodeLOCVPSKVMLAVPS2EZ搬瓦工80VPSVultr美国VPS主机中国VPS推荐: 阿里云腾讯云。LNMP付费服务(代装/问题排查)QQ 503228080
发表于 2018-7-23 15:31:27 | 显示全部楼层

回复 3# 的帖子




apache没法支持
Linux下Nginx+MySQL+PHP自动安装工具:https://lnmp.org/
 楼主| 发表于 2018-7-23 15:49:11 | 显示全部楼层

回复 4# 的帖子




军哥,不可以安装两个apache吗,然后再对应不同的php?

美国VPS、VPN、域名代购:http://shop63846532.taobao.com/

发表于 2018-7-24 21:05:51 | 显示全部楼层

回复 5# 的帖子




改成lnmpa,前段nginx,后端多个apache的话应该是可以的,就是麻烦点
美国VPS推荐: 遨游主机LinodeLOCVPSKVMLAVPS2EZ搬瓦工80VPSVultr美国VPS主机中国VPS推荐: 阿里云腾讯云。LNMP付费服务(代装/问题排查)QQ 503228080
您需要登录后才可以回帖 登录 | 注册

本版积分规则

小黑屋|手机版|Archiver|VPS侦探 ( 鲁ICP备16040043号-1 )

GMT+8, 2019-7-24 15:59 , Processed in 0.044361 second(s), 26 queries .

Powered by Discuz! X3.4

© 2001-2017 Comsenz Inc.

快速回复 返回顶部 返回列表